Warning: A non-numeric value encountered in /home/matt/domains/geekprojects.org/public_html/wp-content/themes/Divi/functions.php on line 5611

I’m currently performing an online upgrade from SLES 10 (SUSE Linux Enterprise Server 10) to SLES 10 SP2. While following Novell’s instructions on upgrading from SLES 10 to SLES SP1, I hit the error message below:

sles10-32bit:~ # switch-update-server
You use an internal update server. Abort.

The fix was to edit /usr/bin/switch-update-server , comment out the following lines, then run switch-update-server again.

# check if there is a old or new update server
#if ! echo "$CHECK_URIS" | grep -F "$NEW_SERVER_NAME" >/dev/null 2>&1 &&
# ! echo "$CHECK_URIS" | grep -F "$OLD_SERVER_NAME" >/dev/null 2>&1; then
# # no old and no new update server => not registered or use an internal mirror
# # no need to switch
# echo "You use an internal update server. Abort." >&2
# echo "You use an internal update server. Abort."
# exit 1
#fi